Merge "Add INFO.yaml verify job"
[ci-management.git] / jjb / hc2vpp / include-raw-hc2vpp-csit-integration.sh
index 14ce670..84a3818 100644 (file)
@@ -1,22 +1,26 @@
 #!/bin/bash
 set -xeu -o pipefail
 
-# Clone csit and start tests
-if [ ${STREAM} == 'master' ]; then
-    git clone https://gerrit.fd.io/r/csit --branch master
+# Get CSIT branch
+if [[ -f csit-test-branch ]]; then
+    chmod +x csit-test-branch
+    CSIT_BRANCH=`./csit-test-branch`
 else
-    git clone https://gerrit.fd.io/r/csit --branch 'rls'${STREAM}
+    CSIT_BRANCH='master'
 fi
 
+# Clone csit
+git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
+
 # If the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
-    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
-    exit
+if [[ $? != 0 ]]; then
+    echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
+    exit 1
 fi
 
 cd csit
 # execute csit bootstrap script if it exists
-if [ ! -e bootstrap-hc2vpp-integration.sh ]
+if [[ ! -e bootstrap-hc2vpp-integration.sh ]]
 then
     echo 'ERROR: No bootstrap-hc2vpp-integration.sh found'
     exit 1
@@ -24,11 +28,7 @@ else
     # make sure that bootstrap.sh is executable
     chmod +x bootstrap-hc2vpp-integration.sh
     # run the script
-    if [ ${STREAM} == 'master' ]; then
-        ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
-    else
-        ./bootstrap-hc2vpp-integration.sh 'stable.'${STREAM} ${OS}
-    fi
+    ./bootstrap-hc2vpp-integration.sh ${STREAM} ${OS}
 fi
 
 # vim: ts=4 ts=4 sts=4 et :